Bug 218990

Summary: Add support for the Wasm i64 sign-extension-ops proposal
Product: WebKit Reporter: Sergey Rubanov <chi187>
Component: WebAssemblyAssignee: Sergey Rubanov <chi187>
Status: RESOLVED FIXED    
Severity: Normal CC: dschuff, ews-watchlist, fpizlo, keith_miller, mark.lam, msaboff, sbarati, tzagallo, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=210302
https://bugs.webkit.org/show_bug.cgi?id=152232
https://bugs.webkit.org/show_bug.cgi?id=219395
Attachments:
Description Flags
Enable spec tests
none
Patch
none
Patch none

Description Sergey Rubanov 2020-11-16 09:09:49 PST
Add support for the Wasm i64 sign-extension-ops proposal
Comment 1 Sergey Rubanov 2020-11-16 09:10:16 PST
Created attachment 414241 [details]
Enable spec tests
Comment 2 Radar WebKit Bug Importer 2020-11-16 18:13:42 PST
<rdar://problem/71467979>
Comment 3 Sergey Rubanov 2020-11-23 09:09:34 PST
Created attachment 414805 [details]
Patch
Comment 4 EWS Watchlist 2020-11-25 19:16:07 PST
This patch modifies one of the wasm.json files. Please ensure that any changes in one have been mirrored to the other. You can find the wasm.json files at "Source/JavaScriptCore/wasm/wasm.json" and "JSTests/wasm/wasm.json".
Comment 5 Yusuke Suzuki 2020-11-30 11:56:05 PST
Comment on attachment 414805 [details]
Patch

r=me
Comment 6 EWS 2020-11-30 11:56:24 PST
Tools/Scripts/svn-apply failed to apply attachment 414805 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 7 Sergey Rubanov 2020-11-30 12:26:23 PST
Created attachment 415041 [details]
Patch
Comment 8 EWS 2020-11-30 14:12:27 PST
Committed r270265: <https://trac.webkit.org/changeset/270265>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 415041 [details].